SurfaceDialog Class Reference

Define surface plot dialog. More...

`#include <SurfaceDialog.h>`

Inheritance diagram for SurfaceDialog:

## Public Slots

void | setFunction (Graph3D *)
void | setGraph (Graph3D *g)
void | setParametricSurface (Graph3D *)

## Public Member Functions

| SurfaceDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Slots

void | accept ()
void | clearFunction ()
void | showFunctionLog ()
void | showXLog ()
void | showYLog ()
void | showZLog ()

## Private Member Functions

void | acceptFunction ()
void | acceptParametricSurface ()
void | initFunctionPage ()
void | initParametricSurfacePage ()

## Private Attributes

QSpinBox * | boxColumns
QSpinBox * | boxFuncColumns
QSpinBox * | boxFuncRows
ScriptEdit * | boxFunction
QSpinBox * | boxRows
QComboBox * | boxType
DoubleSpinBox * | boxUFrom
QCheckBox * | boxUPeriodic
DoubleSpinBox * | boxUTo
DoubleSpinBox * | boxVFrom
QCheckBox * | boxVPeriodic
DoubleSpinBox * | boxVTo
ScriptEdit * | boxX
DoubleSpinBox * | boxXFrom
DoubleSpinBox * | boxXTo
ScriptEdit * | boxY
DoubleSpinBox * | boxYFrom
DoubleSpinBox * | boxYTo
ScriptEdit * | boxZ
DoubleSpinBox * | boxZFrom
DoubleSpinBox * | boxZTo
QPushButton * | buttonCancel
QPushButton * | buttonClear
QPushButton * | buttonOk
QPushButton * | buttonRecentFunc
QPushButton * | buttonXLog
QPushButton * | buttonYLog
QPushButton * | buttonZLog
Graph3D * | d_graph
QWidget * | functionPage
QStackedWidget * | optionStack
QWidget * | parametricPage

## Detailed Description

Define surface plot dialog.

## Constructor & Destructor Documentation

SurfaceDialog::SurfaceDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), boxFunction, boxType, buttonCancel, buttonClear, buttonOk, clearFunction(), d_graph, initFunctionPage(), initParametricSurfacePage(), and optionStack.

## Member Function Documentation

void SurfaceDialog::accept | ( |  | ) |

private slot

References acceptFunction(), acceptParametricSurface(), and boxType.

Referenced by SurfaceDialog().

void SurfaceDialog::acceptFunction | ( |  | ) |

private

References Graph3D::addFunction(), boxFuncColumns, boxFuncRows, boxFunction, boxXFrom, boxXTo, boxYFrom, boxYTo, boxZFrom, boxZTo, d_graph, ApplicationWindow::plotSurface(), ApplicationWindow::updateSurfaceFuncList(), and DoubleSpinBox::value().

Referenced by accept().

void SurfaceDialog::acceptParametricSurface | ( |  | ) |

private

References Graph3D::addParametricSurface(), boxColumns, boxRows, boxUFrom, boxUPeriodic, boxUTo, boxVFrom, boxVPeriodic, boxVTo, boxX, boxY, boxZ, d_graph, ApplicationWindow::d_param_surface_func, ApplicationWindow::plotParametricSurface(), and DoubleSpinBox::value().

Referenced by accept().

void SurfaceDialog::clearFunction | ( |  | ) |

private slot

References boxFunction, boxType, boxX, boxY, and boxZ.

Referenced by SurfaceDialog().

void SurfaceDialog::initFunctionPage | ( |  | ) |

private

References boxFuncColumns, boxFuncRows, boxFunction, boxXFrom, boxXTo, boxYFrom, boxYTo, boxZFrom, boxZTo, buttonRecentFunc, ScriptEdit::enableShortcuts(), functionPage, optionStack, scripted::scriptingEnv(), DoubleSpinBox::setValue(), and showFunctionLog().

Referenced by SurfaceDialog().

void SurfaceDialog::initParametricSurfacePage | ( |  | ) |

private

References boxColumns, boxRows, boxUFrom, boxUPeriodic, boxUTo, boxVFrom, boxVPeriodic, boxVTo, boxX, boxY, boxZ, buttonXLog, buttonYLog, buttonZLog, ApplicationWindow::d_decimal_digits, ScriptEdit::enableShortcuts(), M_PI, optionStack, parametricPage, scripted::scriptingEnv(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setValue(), showXLog(), showYLog(), and showZLog().

Referenced by SurfaceDialog().

void SurfaceDialog::setFunction | ( | Graph3D * | g | ) |

slot

References boxFuncColumns, boxFuncRows, boxFunction, boxXFrom, boxXTo, boxYFrom, boxYTo, boxZFrom, boxZTo, UserFunction::columns(), d_graph, UserFunction::function(), UserFunction::rows(), DoubleSpinBox::setValue(), Graph3D::userFunction(), Graph3D::xStart(), Graph3D::xStop(), Graph3D::yStart(), Graph3D::yStop(), Graph3D::zStart(), and Graph3D::zStop().

Referenced by ApplicationWindow::editSurfacePlot().

void SurfaceDialog::setGraph | ( | Graph3D * | g | ) |

inline slot

References d_graph.

Referenced by ApplicationWindow::editSurfacePlot().

void SurfaceDialog::setParametricSurface | ( | Graph3D * | g | ) |

slot

References boxColumns, boxRows, boxType, boxUFrom, boxUPeriodic, boxUTo, boxVFrom, boxVPeriodic, boxVTo, boxX, boxY, boxZ, UserParametricSurface::columns(), d_graph, optionStack, Graph3D::parametricSurface(), UserParametricSurface::rows(), DoubleSpinBox::setValue(), UserParametricSurface::uEnd(), UserParametricSurface::uPeriodic(), UserParametricSurface::uStart(), UserParametricSurface::vEnd(), UserParametricSurface::vPeriodic(), UserParametricSurface::vStart(), UserParametricSurface::xFormula(), UserParametricSurface::yFormula(), and UserParametricSurface::zFormula().

Referenced by ApplicationWindow::editSurfacePlot().

void SurfaceDialog::showFunctionLog | ( |  | ) |

private slot

References boxFunction, and ApplicationWindow::surfaceFunc.

Referenced by initFunctionPage().

void SurfaceDialog::showXLog | ( |  | ) |

private slot

References boxX, and ApplicationWindow::d_param_surface_func.

Referenced by initParametricSurfacePage().

void SurfaceDialog::showYLog | ( |  | ) |

private slot

References boxY, and ApplicationWindow::d_param_surface_func.

Referenced by initParametricSurfacePage().

void SurfaceDialog::showZLog | ( |  | ) |

private slot

References boxZ, and ApplicationWindow::d_param_surface_func.

Referenced by initParametricSurfacePage().

## Member Data Documentation

QSpinBox* SurfaceDialog::boxColumns

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

QSpinBox * SurfaceDialog::boxFuncColumns

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

QSpinBox * SurfaceDialog::boxFuncRows

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

ScriptEdit* SurfaceDialog::boxFunction

private

Referenced by acceptFunction(), clearFunction(), initFunctionPage(), setFunction(), showFunctionLog(), and SurfaceDialog().

QSpinBox * SurfaceDialog::boxRows

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

QComboBox* SurfaceDialog::boxType

private

Referenced by accept(), clearFunction(), setParametricSurface(), and SurfaceDialog().

DoubleSpinBox* SurfaceDialog::boxUFrom

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

QCheckBox* SurfaceDialog::boxUPeriodic

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

DoubleSpinBox* SurfaceDialog::boxUTo

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

DoubleSpinBox* SurfaceDialog::boxVFrom

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

QCheckBox * SurfaceDialog::boxVPeriodic

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

DoubleSpinBox* SurfaceDialog::boxVTo

private

Referenced by acceptParametricSurface(), initParametricSurfacePage(), and setParametricSurface().

ScriptEdit* SurfaceDialog::boxX

private

Referenced by acceptParametricSurface(), clearFunction(), initParametricSurfacePage(), setParametricSurface(), and showXLog().

DoubleSpinBox* SurfaceDialog::boxXFrom

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

DoubleSpinBox* SurfaceDialog::boxXTo

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

ScriptEdit* SurfaceDialog::boxY

private

Referenced by acceptParametricSurface(), clearFunction(), initParametricSurfacePage(), setParametricSurface(), and showYLog().

DoubleSpinBox* SurfaceDialog::boxYFrom

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

DoubleSpinBox* SurfaceDialog::boxYTo

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

ScriptEdit* SurfaceDialog::boxZ

private

Referenced by acceptParametricSurface(), clearFunction(), initParametricSurfacePage(), setParametricSurface(), and showZLog().

DoubleSpinBox* SurfaceDialog::boxZFrom

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

DoubleSpinBox* SurfaceDialog::boxZTo

private

Referenced by acceptFunction(), initFunctionPage(), and setFunction().

QPushButton* SurfaceDialog::buttonCancel

private

Referenced by SurfaceDialog().

QPushButton* SurfaceDialog::buttonClear

private

Referenced by SurfaceDialog().

QPushButton* SurfaceDialog::buttonOk

private

Referenced by SurfaceDialog().

QPushButton* SurfaceDialog::buttonRecentFunc

private

Referenced by initFunctionPage().

QPushButton * SurfaceDialog::buttonXLog

private

Referenced by initParametricSurfacePage().

QPushButton * SurfaceDialog::buttonYLog

private

Referenced by initParametricSurfacePage().

QPushButton * SurfaceDialog::buttonZLog

private

Referenced by initParametricSurfacePage().

Graph3D* SurfaceDialog::d_graph

private

Referenced by acceptFunction(), acceptParametricSurface(), setFunction(), setGraph(), setParametricSurface(), and SurfaceDialog().

QWidget* SurfaceDialog::functionPage

private

Referenced by initFunctionPage().

QStackedWidget* SurfaceDialog::optionStack

private

Referenced by initFunctionPage(), initParametricSurfacePage(), setParametricSurface(), and SurfaceDialog().

QWidget* SurfaceDialog::parametricPage

private

Referenced by initParametricSurfacePage().

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/SurfaceDialog.h
- qtiplot/src/plot3D/SurfaceDialog.cpp